# restic-wrapper

restic-wrapper is a cli wrapper for restic, to make usage with multiple repos
and data sources easier.

## Installation

Use the package manager
[cargo](https://doc.rust-lang.org/cargo/getting-started/installation.html) to
install `restic-wrapper`.

```bash
cargo install restic-wrapper
```

## Usage

```text
$ restic-wrapper --help
Usage: restic-wrapper <CONFIG> <REPOSITORY> <SOURCE> [OPTIONS]

Arguments:
  <CONFIG>
  <REPOSITORY>
  <SOURCE>
  [OPTIONS]

Options:
  -h, --help  Print help
```

For config options, see `config.sample.yaml`.

## Contributing

Pull requests are welcome. For major changes, please open an issue first
to discuss what you would like to change.

Please make sure to update tests as appropriate.

## License

[CNPLv7](https://thufie.lain.haus/NPL.html)
