use std::path::PathBuf;

use clap::Parser;

#[derive(Parser)]
#[command(author, version, about, long_about)]
pub struct Cli {
    /// Path to config file
    pub config: PathBuf,
    /// Name of repository in config file
    pub repository: String,
    /// Name of data source in config file
    pub source: String,
    /// Name of options string in config file
    pub options: Option<String>,
}
